
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops upgrade cluster

Upgrade a kubernetes cluster.

### Synopsis

Automates checking for and applying Kubernetes updates. This upgrades a cluster to the latest recommended
production ready Kubernetes version. After this command is run, use `kops update cluster` and `kops rolling-update cluster`
to finish a cluster upgrade.

```
kops upgrade cluster [CLUSTER] [flags]
```

### Examples

```
  # Upgrade a cluster's Kubernetes version.
  kops upgrade cluster k8s-cluster.example.com --yes --state=s3://my-state-store
```

### Options

```
      --channel string              Channel to use for upgrade
  -h, --help                        help for cluster
      --kubernetes-version string   Kubernetes version to use for upgrade
  -y, --yes                         Apply update
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops upgrade](kops_upgrade.md)	 - Upgrade a kubernetes cluster.

